getTemplateListByCategory(data: GetTemplateListByCategoryParams)
Requires:
@tuya-miniapp/cloud-api≥1.7.0
Description
Query template list by category (paginated)
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters |
Return Value
Type: Promise<GetTemplateListByCategoryResult>
GetTemplateListByCategoryResult
Referenced Types
interface
GetTemplateListByCategoryResultResult of paginated query for templates by category| Property | Type | Description |
|---|---|---|
nodeName | string | Category name |
nodeCode | string | Category code |
pageNo | number | Current page |
pageSize | number | Page size |
total | number | Total count |
hasMore | boolean | Whether there is a next page |
| Template list |